import Config from '../config';
import axios from 'axios';

export const getAllProducts = async data => {
    const res = await axios.get(`${Config.inventoryUrl}`);
    // console.log(res.data);
    return res.data;
}

export const getFilteredProducts = async (searchTerm) => {
    const res = await axios.get(`${Config.inventoryUrl}`);
    return res.data.filter(product => {
        const productName = product.name.toLowerCase();
        console.log("Search Term: " + searchTerm);
        console.log("Found Product Name: " + productName.includes(searchTerm));
        return productName.includes(searchTerm);
    });
}