import React from "react";
import Product from "./Product.jsx";
import { Col, Container, Row } from "react-bootstrap";
import "./../styles/ProductGrid.css";
export default class SearchResults extends React.Component{

    constructor(props){
        super(props);
        this.state = {
            results: []
        }
    }

    render(){
        return (
            <div>
              <h1 id="title" className="text-center" >Search Results</h1>
              <Container id="prod-grid" className="mt-3">
                <Row xs={1} sm={2} md={3} lg={4}>
                  {this.state.results.map((product) => {
                    return (
                      <Col key={product.sku}>
                        <Product product={product} />
                      </Col>
                    );
                  })}
                </Row>
              </Container>
            </div>
          );
    }

}